<!-- Student Profile -->
<div class="student-profile">


    <div class="container p-0">
        <div class="row" *ngIf="profile">
            <div class="col-lg-12">
                <div class="card shadow-sm">
                    <div class="col-lg-12 col-md-12 col-sm-12 col-12">
                        <h3 class="pt-2">Profil de la boutique
                            <button class=" btn btn-back" data-bs-toggle="modal" data-bs-target="#myModal"><i class="fa fa-edit"></i><b>Éditer</b></button>
                            <!--  <button class="btn btn-outline-success" (click)="openDialog2()"><i class="fa fa-edit"></i>Modifier le mot de passe</button> -->
                        </h3>
                    </div>
                    <div class="row">
                        <div class="col-lg-5">
                            <div class="card-header bg-transparent text-center">
                                <!-- <img class="profile_img"  alt="profile_Image" src="{{baseurl}}static/public/{{profile.data.photo}}">  -->
                                <img class="profile_img" src="{{baseurl}}static/public/{{profile.data.shopphoto}}" alt="profile_Image" width="200px">
                                <!-- <h3>{{profile.data.shopname}}</h3> -->

                            </div>
                        </div>
                        <div class="col-lg-7">
                            <div class="card-body">

                                <h4 class="mb-0"><strong class="pr-1">Nom de la boutique: </strong>{{profile.data.shopname}}</h4><br>
                                <h4 class="mb-0"><strong class="pr-1">Adresse de ramassage: </strong>
                                    <a *ngFor="let add of profile.data.pickupaddress; let i = index">
                                        <p>Address {{i+1}}: {{add.address}}</p>
                                    </a>
                                </h4><br>
                                <h4 class="mb-0"><strong class="pr-1">Description de la boutique: </strong>{{profile.data.shopdesc}}</h4>
                            </div>
                        </div>
                    </div>


                </div>
            </div>

        </div>
    </div>
</div>
<div class="modal" id="myModal">
    <div class="modal-dialog">
        <div class="modal-content">

            <!-- Modal Header -->
            <div class="modal-header modl-hder">
                <!-- <h4 class="modal-title">Modal Heading</h4> -->
                <button type="button" class="btn-cncl" data-bs-dismiss="modal"><i class="fa-solid fa-xmark"></i></button>
            </div>

            <!-- Modal body -->
            <div class="modal-body modal-height">
                <app-edit-shopprofile></app-edit-shopprofile>
            </div>

            <!-- Modal footer -->
            <!-- <div class="modal-footer">
          <button type="button" class="btn btn-danger" data-bs-dismiss="modal">Close</button>
        </div> -->

        </div>
    </div>
</div>